@use "sass:map";
@import "variables";
@import "mixins";


@include mobile {

  .content {
    background-color: $background-color;
    padding: 0 10px 0 10px;
    font-family: 'Montserrat';

    &__text-one {
      font-family: 'Lato';
      font-size: 14px;
      text-align: center;
      color: $first-paragraph-content-color;
      line-height: 20px;
      padding: 27px 10px 0;
    }

    &__title {
      padding-top: 26px;
      font-size: 17px;
      color: #635C73;
      font-weight: 700;
      font-size: 26px;
      line-height: 28px;
      text-align: center;
      display: block;
      text-transform: uppercase;
    }
  }

  .btn-first-wrap {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    padding-top: 36px;
    gap: 10px;

    &__link {
      text-decoration: none;
      color: $first-paragraph-content-color;
      font-weight: 700;
      border: 1px solid rgb(163, 161, 161);
      border-radius: 4px;
      box-shadow: 0px 1px 0px rgb(11 38 39 / 32%);
      height: 20px;
    }
    
    &__icon {
      color: $first-paragraph-content-color;
      background-color: $background-btn;
      padding: 5px;
    }

    &__icon-text {
      font-weight: 700;
      padding: 2px 3px;
    }

    &__link-text {
      font-size: 10px;
      padding: 5px;
      border-left: 1px solid rgb(163, 161, 161);
    }
  }

  .wrap-content {
    text-align: center;

    &__img {
      padding-top: 36px;
    }

    &__text {
      padding: 14px 6px;
      font-size: 13px;
      color: $secondary-color;
      line-height: 21px;
    }

    &__second-img {
      display: none;
    }

    &__two {
      display: none;
    }

    &__title{
      font-size: 16px;
      color: #323232;
      padding-top: 26px;
    }

    &__title-two {
      font-weight: 700;
      font-size: 32px;
      text-align: center;
      color: #8D81AC;
      padding: 120px 20px 0;
    }
  }

 


  .reviews {
    background-image: url(../images/testmonials-bg.svg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    padding-bottom: 100px;

    &__wrap-content-container {
      margin: 0 auto;
    }

    &__title {
      padding: 54px 15px 0;
      text-align: center;
      font-weight: 700;
      font-size: 36px;
      color: $rimary-color;
      line-height: 48px;
      font-family: 'Montserrat';
    }

    &__logo {
      padding-top: 53px;
      margin: 0 auto;
      display: block;
    }

    &__text {
      font-family: 'lato';
      font-weight: 700;
      font-size: 16px;
      line-height: 24px;
      font-style: italic;
      color: $rimary-color;
      text-align: center;
      padding: 30px 25px 0;
      margin: 0 auto;
    }

    &__text-two {
      font-family: 'Lato';
      color: $last-paragraph-content-color;
      padding-top: 36px;
      text-align: center;
      display: block;
      padding: 37px 18px 0;
    }

    &__text-two::after {
      content: '';
      border-bottom: 2px solid #645766;
      display: block;
      max-width: 245px;
      margin: 20px auto;
    }

    &__last-title-section {
      font-weight: 700;
      font-size: 28px;
      text-align: center;
      padding: 0 10px;
      color: $rimary-color;
    }

  }


  .cards-wraper {
    display: flex;
    flex-direction: column;
    align-items: center;

    &__card {
      padding-top: 32px;
    }


    &__name-card {
      font-size: 20px;
      text-transform: uppercase;
      display: block;
      text-align: center;
      color: #FFFFFF;
      background-color: rgba(128,128,128,0.8);
      mix-blend-mode: normal;
      padding: 36px 60px;
      width: 100px;
    }

    &__price-card {
      font-size: 60px;
      color: #FFFFFF;
      display: block;
      text-align: center;
      padding-top: 30px;
    }

    &__subscription {
      font-size: 14px;
      text-align: center;
      text-transform: uppercase;
      color: #FFFFFF;
      padding-top: 20px;
    }

    &__line {
      display: block;
      background: #8D81AC;
      width: 60px;
      height: 5px;
      margin: 38px auto;
    }

    &__subscription-list {
      font-size: 16px;
      text-align: center;
      color: #FFFFFF;
      line-height: 28px;
    }

    &__card-btn {
      font-size: 15px;
      color: #FFFFFF;
      background-color: rgba(128,128,128,0.8);
      border-radius: 20px;
      width: 163px;
      height: 45px;
      display: flex;
      justify-content: center;
      align-items: center;
      text-transform: uppercase;
      text-decoration: none;
    }

    &__background {
      background-color: rgba(128, 128, 128, 0.4);
      width: 220px;
    }

    &__static-title {
      background-color: rgba(70, 48, 72, 1);
    }

    &__static {
      background-color: rgba(70, 48, 72, 0.8);
    }

    &__static-pice {
      font-size: 86px;
    }

    &__static-subscription-list {
      padding-top: 10px;
    }

    &__card-btn-static {

    }

    &__card-text {
      opacity: 0.6;
    }
  }

  .container-btn-four {
    padding: 30px;
  }

  .margin-top-btn {
    margin-top: 28px;
  }

  .margin-card {
    margin-top: 30px;
  }

  .text-postion {
    position: relative;
    right: 20px;
  }
}


.burger {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  margin-top: 42px;
  display: none;
}
.burger span {
  width: 30px;
  height: 2px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #fff;
  transition: all 0.5s;
}
.burger-menu-btn {
  position: absolute;
  right: 22px;
  top: 46px;
  height: 26px;
  width: 32px;
}
.burger-menu-btn span:nth-child(2) {
  top: calc(50% - 6px);
  width: 15px;
  margin-left: 7px;
}
.burger-menu-btn span:nth-child(3) {
  top: calc(50% + 6px);
}
.burger-menu {
  background-color: #333;
  position: absolute;
  z-index: 5;
  top: 118px;
  margin: 0 auto;
  width: 90%;
  display: none;
}
.burger-menu li:last-child {
  margin-bottom: 20px;
}
.burger-menu li:first-child {
  margin-top: 30px;
}
.burger-menu li {
  margin: 50px 0;
  border-bottom: 1px solid #3B3B3B;
  padding-bottom: 20px;
}
.burger-menu a {
  color: #fff;
  font-size: 2.6rem;
  padding-left: 35px;
  padding-right: 45px;
  text-decoration: none;
}
.text-btn {
  padding-top: 10px;
  display: block;
}
.burger-menu a:focus, .burger-menu a:active {
  border-left: 3px solid #8D81AC;
  color: #8D81AC;
}
@media (max-width: 480px) {
  .burger {
    display: flex;
  }
}

.burger-menu-btn.active span:nth-of-type(1) {
  top: 50%;
  transform: translate(-50%, 0%) rotate(45deg);
}

.burger-menu-btn.active span:nth-of-type(2) {
  display: none;
}

.burger-menu-btn.active span:nth-of-type(3) {
  top: 50%;
  transform: translate(-50%, 0%) rotate(-45deg);
}

.burger-menu.active {
  display: block;
}

html,
body {
  font-size: 10px;
  margin: 0 auto;
  font-family: "Montserrat";
  min-width: 320px;
}

.btn {
  background-color: #8D81AC;
  padding: 1rem 2.2rem;
  border-radius: 4rem;
}

header {
  width: 100%;
  height: 118px;
  background-color: #000;
}
header .header-logo:hover {
  color: #fff;
  filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(1%) hue-rotate(47deg) brightness(101%) contrast(101%);
}
header .logo {
  display: flex;
  color: #8D81AC;
  font-family: Lato;
  text-transform: uppercase;
  font-size: 2.4rem;
  gap: 1.7rem;
  padding-top: 3rem;
}
header .logo p {
  padding-top: 1.4rem;
}
header .header-btn {
  width: 145px;
  font-size: 16px;
  font-weight: 700;
  text-align: center;
  color: #fff;
  margin-top: 31px;
  margin-left: 58px;
}
header .header-btn:hover {
  background-color: #fff;
  color: #8D81AC;
}
header .header__nav {
  margin-top: 4.2rem;
}
header .header__nav-items {
  display: flex;
  gap: 5%;
  justify-content: end;
}
header .header__nav-items a {
  color: #8D81AC;
  font-size: 1.6rem;
  font-weight: 700;
  text-decoration: none;
}
.text-btn {
  text-decoration: none;
}
header .header__nav-items a:hover {
  color: #fff;
}
@media (max-width: 992px) {
  header {
    background-color: #27262A;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-flow: row;
  }
  header .header-logo {
    order: 1;
  }
  header .header__nav {
    grid-column: 1/span 2;
    order: 3;
    min-width: 439px;
    margin: -42px auto;
  }
  header .header__nav-items {
    gap: 5%;
  }
  header .header-btn {
    width: 145px;
    margin-bottom: 1.7rem;
    order: 2;
    justify-self: end;
    margin-right: 58px;
    text-decoration: none;
  }


  .text-btn {
    padding-bottom: 10px;
    display: block;
  }
}
@media (max-width: 481px) {
  header .header-wrapper {
    display: flex;
    justify-content: space-between;
  }
  header .header__nav {
    display: none;
  }
  header .header-btn {
    width: 119px;
    height: 37px;
    margin-top: 34px;
  }
  header .header-logo p {
    display: none;
  }
}

.header-wrapper {
  position: relative;
  max-width: 1200px;
  padding: 0 2rem;
  margin: 0 auto;
  display: grid;
  grid-template-columns: max-content 1fr max-content;
  justify-content: space-between;
}

.fork-app {
  background: url("../images/img1 .1.png") no-repeat center/cover;
  text-align: center;
  padding: 0 1rem;
  position: relative;
}
.fork-app__padding {
  padding-top: 10rem;
}
.fork-app h1 {
  line-height: 8.2rem;
  font-size: 8.2rem;
  font-weight: 700;
  color: #fff;
  margin-bottom: 1.9rem;
}
.fork-app h3 {
  font-family: Lato;
  color: #8D81AC;
  font-size: 3rem;
  line-height: 3rem;
  text-transform: capitalize;
}
.fork-app__product-version {
  font-size: 1.6rem;
  color: #848E97;
  line-height: 1.6rem;
  margin-top: 1.9rem;
  margin-bottom: 426px;
}
.fork-app__btn {
  font-size: 2.1rem;
  line-height: 2.1rem;
  color: #fff;
  font-weight: 700;
  margin: -20px;
  margin-bottom: 1.9rem;
}
.fork-app__btn:hover {
  background-color: #fff;
  color: #8D81AC;
}
@media (max-width: 992px) {
  .fork-app h1 {
    font-size: 7.6rem;
  }
  .fork-app h3 {
    font-size: 2.4rem;
  }
  .fork-app__product-version {
    font-size: 1.4rem;
  }
}
@media (max-width: 481px) {
  .fork-app h1 {
    font-size: 4.8rem;
  }
  .fork-app h3 {
    font-size: 1.8rem;
  }
  .fork-app__product-version {
    font-size: 1.4rem;
  }
}

.fork-app-period {
  display: block;
  color: #848E97;
  font-size: 1.4rem;
  z-index: 7;
  margin-top: 40px;
  text-align: center;
}
